Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.processing.simple
Class ProcessingRequest

    java.lang.Object
      rice.environment.processing.simple.ProcessingRequest

All Implemented Interfaces:
  java.lang.Runnable

    public class ProcessingRequest

extends java.lang.Object
implements java.lang.Runnable

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Constructor Summary
`ProcessingRequest(Executable r, Continuation c, LogManager logging, TimeSource timeSource, SelectorManager selectorManager)` Constructor for ProcessingRequest.

Method Summary
`void` | `returnError(java.lang.Exception e)` DESCRIBE THE METHOD
`void` | `returnResult(java.lang.Object o)` DESCRIBE THE METHOD
`void` | `run()` Main processing method for the ProcessingRequest object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessingRequest

    public ProcessingRequest(Executable r,
                             Continuation c,
                             LogManager logging,
                             TimeSource timeSource,
                             SelectorManager selectorManager)

  Constructor for ProcessingRequest.

  Parameters:
    `r` - DESCRIBE THE PARAMETER
    `c` - DESCRIBE THE PARAMETER
    `logging` - DESCRIBE THE PARAMETER
    `timeSource` - DESCRIBE THE PARAMETER
    `selectorManager` - DESCRIBE THE PARAMETER

Method Detail

### returnResult

    public void returnResult(java.lang.Object o)

  DESCRIBE THE METHOD

  Parameters:
    `o` - DESCRIBE THE PARAMETER

### returnError

    public void returnError(java.lang.Exception e)

  DESCRIBE THE METHOD

  Parameters:
    `e` - DESCRIBE THE PARAMETER

### run

    public void run()

  Main processing method for the ProcessingRequest object

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.